---
title: "Hetzner machine plans"
locale: en
url: https://tlg.builera.app/en/docs/reference/rest/hetzner.offers
verified: 2026-10-24
app_version: "2.0"
generated: true
---

# Hetzner machine plans

Server types and monthly prices available for new machines.

Server types and monthly prices available for new machines.

## Overview

| Name | Value |
| --- | --- |
| Code | `hetzner.offers` |
| New code (v2) | `hetzner_connections.offers` |
| Scope needed | `infra.manage` |
| Risk | Read |
| May need confirmation | No |
| Runs as | Answers right away |
| Needs `Idempotency-Key` | No |
| Member roles allowed | `owner`, `manager` |
| In the app | Machines & proxies → Add machine |

## Input fields

This operation takes no fields.

## Example request

```bash
curl -X POST https://tlg.builera.app/api/public/v2/ops/hetzner.offers \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
```

## Output fields (`data`)

| Field | Type | Required |
| --- | --- | --- |
| `ok` | `true` | Yes |
| `offers` | `object[]` | Yes |
| `defaultLocation` | `null \| "nbg1" \| "fsn1" \| "hel1" \| "ash" \| "hil" \| "sin"` | Yes |

## Example answer

```json
{
  "data": {
    "ok": true,
    "offers": [
      {
        "location": "text",
        "serverType": "text",
        "monthlyNet": 1,
        "ipv4Monthly": 1,
        "memoryGb": 1,
        "cores": 1
      }
    ],
    "defaultLocation": "nbg1"
  }
}
```

## Using it over MCP

Not listed on any profile: call `tools_describe` then `tools_run` with `code: "hetzner.offers"`. Tool name when listed: `hetzner_offers`.
